/**
 * Builds a query param for a string value.
 *
 * @param props - The props for the query param function {@link CreateQueryParamProps}
 *
 * @returns A query param to be used in the `useQueryParams` hook {@link NextQueryParam}
 *
 * @example
 * ```tsx
 * function MyComponent() {
 *   const [str, setStr] = useState('foo');
 *   useNextQueryParams({
 *     str: createStrQueryParam({
 *       value: str,
 *       onChange: setStr,
 *     }),
 *   });
 *   return <div>Hello {str}</div>;
 *   // ?str=foo
 * }
 * ```
 */
export declare const createStrQueryParam: import("../../../types/CreateQueryParam").CreateQueryParam<string, object>;
//# sourceMappingURL=createStrQueryParam.d.ts.map